<?php
/*************************************************************************************/
/*                                                                                   */
/*      Thelia	                                                            		 */
/*                                                                                   */
/*      Copyright (c) Octolys Development		                                     */
/*		email : thelia@octolys.fr		        	                             	 */
/*      web : http://www.octolys.fr						   							 */
/*                                                                                   */
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/
?>
<?php

	include_once(realpath(dirname(__FILE__)) . "/../../../classes/PluginsClassiques.class.php");

	class Promoport extends PluginsClassiques{

		function Promoport(){
			$this->PluginsClassiques();
		}


		function calc(&$remise, &$totcmdport){
		
			$total = 0;
       		
			$nb_article = 0;
		
			for($i=0; $i<$_SESSION['navig']->panier->nbart; $i++){
		
				
				if( ! $_SESSION['navig']->panier->tabarticle[$i]->produit->promo)
				$prix = $_SESSION['navig']->panier->tabarticle[$i]->produit->prix - ($_SESSION['navig']->panier->tabarticle[$i]->produit->prix * $_SESSION['navig']->client->pourcentage / 100);
			else $prix = $_SESSION['navig']->panier->tabarticle[$i]->produit->prix2 - ($_SESSION['navig']->panier->tabarticle[$i]->produit->prix2 * $_SESSION['navig']->client->pourcentage / 100);
							
			   	
				$quantite = $_SESSION['navig']->panier->tabarticle[$i]->quantite;
	
				$total += round($prix, 2) * $quantite;
			
				$total = round($total, 2);
			}
			
			$port = port();
			if($port<0)
				$port = 0;		
			$totcmdport = $total + $port;
			
			$remise=0;
			
		
			if($_SESSION['navig']->promo->type == "1" && $_SESSION['navig']->promo->mini <= $totcmdport) $remise = $_SESSION['navig']->promo->valeur;
			else if($_SESSION['navig']->promo->type == "2" && $_SESSION['navig']->promo->mini <= $totcmdport) $remise = $totcmdport * $_SESSION['navig']->promo->valeur / 100;
			
	        $totcmdport -= $remise;

			$remise = round($remise, 2);
			$totcmdport = round($totcmdport, 2);					
		}


		function demarrage(){
			$_SESSION['savepromo'] = $_SESSION['navig']->promo;
		}
		
		function action(){

			global $res;
			
			$remise = 0;
			$totcmdport = 0;
			
			$this->calc($remise, $totcmdport);

			$res = str_replace("#PROMOPORT_REMISE", "$remise", $res);
			$res = str_replace("#PROMOPORT_TOTPORT", "$totcmdport", $res);
		}

		function aprescommande($commande){

			$_SESSION['navig']->promo = $_SESSION['savepromo'];
		
			$remise = 0;
			$totcmdport = 0;
			
			$this->calc($remise, $totcmdport);

			$_SESSION['navig']->promo = new Promo();

			$commande->remise = $remise;
			$commande->maj();		
		}

     }
?>
